function x = Mipdwt(H,y,rm)

%ffunction x = Mipdwt(H,y,rm)
%1D
%Iterated filter bank recomposition in frequential
%INPUT:
%   H : synthesis filters of the M-band filter bank
%   y : signal to recompose
%   rm : number of decomposition levels
%OUTPUT:
%   x : recomposed signal

%*****************************************************
%* author: Caroline Chaux                            *
%* institution: Institut Gaspard Monge - CNRS	     *
%*	       Universit de Marne la Valle             *
%* date: Thursday, November, 2nd 2006                *
%* License CeCILL-B				      *
%*****************************************************


M = size(H,1);
LX = length(y{1}{2});
LX = LX*M;
H = H/sqrt(M);

x = y{rm}{1};
LXr = length(x);
%x = y{rm}{1}{1};
%%[LX1r,LX2r] = size(y{rm}{1}{1});
x = fft(x)/sqrt(LXr);
for r = rm:-1:1
    for m = 2:M
        y{r}{m} = fft(y{r}{m})/sqrt(LXr);
    end

    ind = 1:M^(r-1):LX;
    HH = H(:,ind);

    LXr = M*LXr;
    %ytemp = zeros(M1,LX1r,LX2r);
    Ytemp = x;
    for m = 2:M
        Ytemp = [Ytemp;y{r}{m}];
        %size(Ytemp)
        %size(HH)
    end
    x = synthMDFT(Ytemp,HH);
    %size(ytemp(m1,:,n))
end

x = real(ifft(x)*sqrt(LX));