function theta = Mphase(MNF,M)

%theta = Mphase(MNF,M)
%Compute the phase in order to compute the Hilbert pairs of the filters
%INPUT:
%   MNF : length of theta
%   M : bands number
%OUTPUT:
%   theta : phases

%*****************************************************
%* author: Jean-Christophe Pesquet                   *
%* institution: Institut Gaspard Monge - CNRS	     *
%*	       Universit de Marne la Valle             *
%* date: Thursday, November, 2nd 2006                *
%* License CeCILL-B				      *
%*****************************************************


if rem(MNF,M) ~= 0 | rem(MNF,2) ~= 0
	error('Number of frequency bins should be proportional to M and even')
end

NF = MNF/M;

theta = zeros(2,MNF);
%alpha = zeros(1,MNF);
for ll = 0:ceil(M/2)-1
	ind = ll*NF:(ll+1)*NF-1;
	theta(1,ind+1) = (M-1)*pi*ind/MNF-ll*pi;
    %%%%%%%%%%%%%%%%%%%%%%%%si on change d;
    %d=0;
    %theta(1,ind+1) = (d+1/2)*(M-1)*2*pi*ind/MNF-ll*pi;
    %%%%%%%%%%%%%%%%%%%%%%%%%%
	%if ll == 0
	%	alpha(ind+1) = [0 pi/2-M*ind(2:NF)/MNF*pi];
	%else
	%	alpha(ind+1) = alpha(1:NF);
	%end
		
end
theta(1,MNF:-1:MNF/2+2) = -theta(1,2:MNF/2);
%theta(1,MNF/2+1)=-pi/2;
%alpha(MNF:-1:MNF/2+2) = -alpha(2:MNF/2);
%theta(2,:) = alpha+theta(1,:);

theta(2,2:MNF) = pi/2-(1:MNF-1)/MNF*pi;
%%%%%%%%%%%%%%%%%%%%si on change d;
%theta(2,2:MNF) = pi/2-(d+1/2)*2*(1:MNF-1)/MNF*pi;
%%%%%%%%%%%%%%%%%%%%%