function h = MLTir(M)
%h = MLTir(M) : Build impulse responses of filters of MLT
%INPUT:
% M : band' number
%OUTPUT:
% h : Impulse Responses

%*****************************************************
%* author: Jean-Christophe Pesquet                   *
%* institution: Institut Gaspard Monge - CNRS	     *
%*	       Universit de Marne la Valle             *
%* date: Thursday, November, 2nd 2006                *
%* License CeCILL-B				      *
%*****************************************************

n = 0:2*M-1;
w = -sin((n+1/2)*pi/(2*M));
k = 0:M-1;
h = sqrt(2/M)*cos((k'+1/2)*(n+(M+1)/2)*pi/M).*(ones(M,1)*w);